# NAS/Linux安装machete家庭相册

我们相信，回忆被经常看到才倍显珍贵！


使用NAS的朋友，请参考[Docker Compose配置文件](./compose.yaml)，在你的NAS系统后台中添加相册容器。


## 软件清单

以下为脚本安装的软件明细：

* docker
* docker-compose
* machete docker image

Linux下安装docker，请参考[Docker官方安装教程](https://docs.docker.com/engine/install/)。


Linux下安装docker-compose方法：
1. 打开[Docker Compose官方下载](https://github.com/docker/compose/releases)，根据linux系统版本选择对应版本下载
2. 给下载下来的docker-compose程序设置可执行权限


以CentOS 7.9为例：
```
wget "https://github.com/docker/compose/releases/download/v2.32.2/docker-compose-linux-x86_64"
chmod +x docker-compose-linux-x86_64
./docker-compose-linux-x86_64 --help
```


## 安装相册

进入安装目录nas_linux/，执行启动容器命令：

```
cd nas_linux/
docker-compose up
```

相册默认安装时把nas_linux/photos/目录映射到容器里的照片目录，
只需把你的照片、视频等文件上传到此目录即可。

如需更换本地照片目录，请修改文件**compose.yaml**，把“${PWD}/photos”替换为你的照片目录的绝对路径。


如果你的系统无法从Docker Hub下载镜像，请先手动下载并导入machete相册镜像：
```
wget "https://static.jialuoma.cn/docker_images/machete.tar"
docker image load -i machete.tar
```

用"docker images"查看已经导入的镜像，如果看到了：filesite/machete，说明导入完成，
再执行启动容器命令：
```
docker-compose up
```


## 系统升级

命令行输入以下升级命令：

```
docker exec -it filesite_machete /var/www/machete/bin/upgrade.sh
```


## 卸载machete

输入以下命令删除相册容器：

```
cd nas_linux/
docker-compose down
```

卸载machete家庭相册时，不会删除你本地的照片、视频。


## 交流QQ群

Machete源码交流QQ群：**44123711**

使用中遇到任何问题，欢迎加入QQ群大家一起讨论。
