
# windows系统安装machete家庭相册

我们相信，回忆被经常看到才倍显珍贵！

machete家庭相册软件兼容windows操作系统，下面为详细的安装方法及相关说明。


## 软件准备

基于docker安装machete家庭相册，需要先下载以下软件：

1. docker desktop windows版本
2. machete的docker镜像

docker desktop windows 4.34.0版下载地址：
* https://www.jb51.net/softs/757227.html
* https://soft.3dmgame.com/down/308182.html


如果已经安装了docker desktop，可以尝试命令行下载machete镜像：
```
docker pull filesite/machete
```

由于部分地区docker hub被限制访问，使用docker直接pull镜像会失败，
需要手动下载machete的docker镜像，下载地址：
* https://static.jialuoma.cn/docker_images/machete.tar


复制上面链接到浏览器地址栏粘贴后按回车键下载。


## 安装步骤

按以下步骤安装并验证machete家庭相册。


### 安装docker desktop

1. 双击下载到的docker desktop程序，按提示安装完成；
2. 双击桌面的Docker Desktop图标启动docker desktop；

如果启动docker desktop时出现以下错误信息：
```
Docker Desktop - Unexpected WSL error
An unexpected error occurred while executing a WSL command.

Either shut down WSL down with wsl --shutdown, and/or reboot your machine. You can also try reinstalling WSL and/or Docker Desktop. If the issue persists, collect diagnostics and submit an issue⁠.

deploying WSL2 distributions
provisioning docker WSL distros: ensuring main distro is deployed: deploying "docker-desktop": importing WSL distro "当前计算机配置不支持 WSL2。\r\n请启用“虚拟机平台”可选组件，并确保在 BIOS 中启用虚拟化。\r\n通过运行以下命令启用“虚拟机平台”: wsl.exe --install --no-distribution\r\n有关信息，请访问 https://aka.ms/enablevirtualization\r\nError code: Wsl/Service/RegisterDistro/CreateVm/HCS/HCS_E_HYPERV_NOT_INSTALLED\r\n" output="docker-desktop": exit code: 4294967295: running WSL command wsl.exe C:\Windows\System32\wsl.exe --import docker-desktop <HOME>\AppData\Local\Docker\wsl\main C:\Program Files\Docker\Docker\resources\wsl\wsl-bootstrap.tar --version 2: 当前计算机配置不支持 WSL2。
请启用“虚拟机平台”可选组件，并确保在 BIOS 中启用虚拟化。
通过运行以下命令启用“虚拟机平台”: wsl.exe --install --no-distribution
有关信息，请访问 https://aka.ms/enablevirtualization
Error code: Wsl/Service/RegisterDistro/CreateVm/HCS/HCS_E_HYPERV_NOT_INSTALLED
: exit status 0xffffffff
checking if isocache exists: CreateFile \\wsl$\docker-desktop-data\isocache\: The network name cannot be found.
Read our policy for uploaded diagnostic data⁠
```

是由于你的电脑主板没有启用虚拟化支持，请参考下面华硕主板电脑的解决方法：

1. 重启电脑，并在开机时按键盘上的delete键进入bios系统
2. 找到advance，进入高级模式并找到：CPU Configuration
3. 进入CPU Configuration并找到Intel Virtual Technology，改disabled为enabled启用
4. 按f10保存并重启电脑


如果你的电脑主板不支持**虚拟化技术**，推荐在京东商城购买二手Mac Mini电脑小主机（2014款只需几百元）进行安装使用。


### 导入machete家庭相册镜像

以下命令均可**复制后在cmd里粘贴**按回车键执行，无需手动输入。


1. 打开命令行软件cmd，cd到下载machete镜像文件所在目录；
2. 输入命令导入machete镜像：
```
docker image load -i machete.tar
```
3. 查看已有的docker镜像：
```
docker images
```

看到filesite/machete镜像了，说明导入成功。


### 启动machete家庭相册容器

1. 打开命令行软件cmd
2. 输入以下命令启动容器：
```
docker run --name machete_album -p 1080:80 \
    -v /d/图片目录/:/var/www/machete/www/girls/ \
    -itd filesite/machete \
    beauty
```

**说明：**

上述命令中的目录“/d/图片目录/”需要换成你的**照片目录**，其中的d代表d盘。


启动成功后，在浏览器输入网址：
```
http://127.0.0.1:1080
```

看到machete家庭相册网页表示安装完成。


## 常见问题

### Q：怎样在局域网里的其它电脑/电视机/平板/手机打开家庭相册？

A：

打开命令行软件cmd，在里面输入命令查看本机局域网ip地址：
```
ipconfig
```

回车之后会看到本机的ip地址，示例如下：
```
Windows IP 配置


以太网适配器 vEthernet (WSL (Hyper-V firewall)):

   连接特定的 DNS 后缀 . . . . . . . :
   本地链接 IPv6 地址. . . . . . . . : fe80::923e:b245:256:b250%20
   IPv4 地址 . . . . . . . . . . . . : 172.18.64.1
   子网掩码  . . . . . . . . . . . . : 255.255.240.0
   默认网关. . . . . . . . . . . . . :

以太网适配器 以太网:

   连接特定的 DNS 后缀 . . . . . . . :
   本地链接 IPv6 地址. . . . . . . . : fe80::7b47:7817:de4c:fe1%9
   IPv4 地址 . . . . . . . . . . . . : 192.168.3.26
   子网掩码  . . . . . . . . . . . . : 255.255.255.0
   默认网关. . . . . . . . . . . . . : 192.168.3.1
```

其中的“IPv4 地址”，就是你本机的局域网IP地址，上面示例中的ip地址为：192.168.3.26。

记住这个ip地址之后，在其它电脑/电视机等设备里，打开浏览器输入网址打开相册：
```
http://192.168.3.26:1080
```

注意，需要将192.168.3.26替换为你本机的IP地址。


### Q：复制了新照片到相册目录，怎么在相册网页里看不到？

A：

machete家庭相册系统默认有10分钟缓存，点击右上角的“刷新”图标即可清空缓存，看到最新照片和视频了。


### Q：怎么升级家庭相册到最新版？

A：

打开命令行软件cmd，在里面输入下面升级命令：
```
docker exec -it machete_album /var/www/machete/bin/upgrade.sh
```

等待升级完成，刷新相册网页即可。


### Q：machete相册升级会导致我的照片被删除吗？

A：

不会！

machete家庭相册只会读取你指定的照片目录里的子目录和文件，它没有实现任何修改、删除目录和文件的功能。

它的升级代码只会更新相册本身的源代码，而且使用docker容器来安装machete家庭相册，docker为相册运行提供了一个沙箱环境，并对它的访问权限限制在了容器内部，所以也无需担心machete相册系统能访问/修改到你的windows系统（除了在启动容器的时候指定的照片目录）。


## 交流QQ群

Machete源码交流QQ群：**44123711**

使用中遇到任何问题，欢迎加入QQ群大家一起讨论。
